Alright, as you know I have Redhat 6.0 now. I downloaded Mozilla tonight and tried to install it using this command

rpm -i mozilla*

well it gave me an error about being the wrong rpm version

<=3

something like that, you have any idea? I am at work now so I can't give you the exact error, if nobody knows by the time I get home, when I do get home I'll post the exact error. I don't know where to get a tarball of a new RPM proggy, but I guess I'll start looking! :P

Aragorn